libpython2.7-minimal_2.7.11-7ubuntu1_amd64.deb


Advertisement

Description

libpython2.7-minimal - Minimal subset of the Python language (version 2.7)

Property Value
Distribution Ubuntu 16.04 LTS (Xenial Xerus)
Repository Ubuntu Main amd64
Package filename libpython2.7-minimal_2.7.11-7ubuntu1_amd64.deb
Package name libpython2.7-minimal
Package version 2.7.11
Package release 7ubuntu1
Package architecture amd64
Package type deb
Category python
Homepage -
License -
Maintainer Ubuntu Core Developers <ubuntu-devel-discuss@lists.ubuntu.com>
Download size 327.20 KB
Installed size 2.70 MB
This package contains some essential modules. It is normally not
used on it's own, but as a dependency of python2.7-minimal.

Alternatives

Package Version Architecture Repository
libpython2.7-minimal_2.7.12-1ubuntu0~16.04.8_amd64.deb 2.7.12 amd64 Ubuntu Updates Main
libpython2.7-minimal_2.7.12-1ubuntu0~16.04.8_i386.deb 2.7.12 i386 Ubuntu Updates Main
libpython2.7-minimal_2.7.11-7ubuntu1_i386.deb 2.7.11 i386 Ubuntu Main
libpython2.7-minimal - - -

Conflicts

Name Value
binfmt-support << 1.1.2

Replaces

Name Value
libpython2.7-stdlib << 2.7.8-7
python2.7 << 2.7.4-2
python2.7-minimal << 2.7.3-10

Download

Type URL
Mirror archive.ubuntu.com
Binary Package libpython2.7-minimal_2.7.11-7ubuntu1_amd64.deb
Source Package python2.7

Install Howto

  1. Update the package index:
    # sudo apt-get update
  2. Install libpython2.7-minimal deb package:
    # sudo apt-get install libpython2.7-minimal

Files

Path
/etc/python2.7/sitecustomize.py
/usr/lib/python2.7/ConfigParser.py
/usr/lib/python2.7/StringIO.py
/usr/lib/python2.7/UserDict.py
/usr/lib/python2.7/__future__.py
/usr/lib/python2.7/_abcoll.py
/usr/lib/python2.7/_sysconfigdata.py
/usr/lib/python2.7/_weakrefset.py
/usr/lib/python2.7/abc.py
/usr/lib/python2.7/atexit.py
/usr/lib/python2.7/base64.py
/usr/lib/python2.7/bisect.py
/usr/lib/python2.7/calendar.py
/usr/lib/python2.7/codecs.py
/usr/lib/python2.7/collections.py
/usr/lib/python2.7/compileall.py
/usr/lib/python2.7/contextlib.py
/usr/lib/python2.7/copy.py
/usr/lib/python2.7/copy_reg.py
/usr/lib/python2.7/dis.py
/usr/lib/python2.7/fnmatch.py
/usr/lib/python2.7/functools.py
/usr/lib/python2.7/genericpath.py
/usr/lib/python2.7/getopt.py
/usr/lib/python2.7/glob.py
/usr/lib/python2.7/hashlib.py
/usr/lib/python2.7/heapq.py
/usr/lib/python2.7/inspect.py
/usr/lib/python2.7/io.py
/usr/lib/python2.7/keyword.py
/usr/lib/python2.7/linecache.py
/usr/lib/python2.7/locale.py
/usr/lib/python2.7/md5.py
/usr/lib/python2.7/opcode.py
/usr/lib/python2.7/optparse.py
/usr/lib/python2.7/os.py
/usr/lib/python2.7/pickle.py
/usr/lib/python2.7/pkgutil.py
/usr/lib/python2.7/platform.py
/usr/lib/python2.7/popen2.py
/usr/lib/python2.7/posixpath.py
/usr/lib/python2.7/py_compile.py
/usr/lib/python2.7/random.py
/usr/lib/python2.7/re.py
/usr/lib/python2.7/repr.py
/usr/lib/python2.7/runpy.py
/usr/lib/python2.7/sha.py
/usr/lib/python2.7/shutil.py
/usr/lib/python2.7/site.py
/usr/lib/python2.7/sitecustomize.py
/usr/lib/python2.7/socket.py
/usr/lib/python2.7/sre.py
/usr/lib/python2.7/sre_compile.py
/usr/lib/python2.7/sre_constants.py
/usr/lib/python2.7/sre_parse.py
/usr/lib/python2.7/ssl.py
/usr/lib/python2.7/stat.py
/usr/lib/python2.7/string.py
/usr/lib/python2.7/stringprep.py
/usr/lib/python2.7/struct.py
/usr/lib/python2.7/subprocess.py
/usr/lib/python2.7/sysconfig.py
/usr/lib/python2.7/tempfile.py
/usr/lib/python2.7/textwrap.py
/usr/lib/python2.7/token.py
/usr/lib/python2.7/tokenize.py
/usr/lib/python2.7/traceback.py
/usr/lib/python2.7/types.py
/usr/lib/python2.7/warnings.py
/usr/lib/python2.7/weakref.py
/usr/lib/python2.7/encodings/__init__.py
/usr/lib/python2.7/encodings/aliases.py
/usr/lib/python2.7/encodings/ascii.py
/usr/lib/python2.7/encodings/base64_codec.py
/usr/lib/python2.7/encodings/big5.py
/usr/lib/python2.7/encodings/big5hkscs.py
/usr/lib/python2.7/encodings/bz2_codec.py
/usr/lib/python2.7/encodings/charmap.py
/usr/lib/python2.7/encodings/cp037.py
/usr/lib/python2.7/encodings/cp1006.py
/usr/lib/python2.7/encodings/cp1026.py
/usr/lib/python2.7/encodings/cp1140.py
/usr/lib/python2.7/encodings/cp1250.py
/usr/lib/python2.7/encodings/cp1251.py
/usr/lib/python2.7/encodings/cp1252.py
/usr/lib/python2.7/encodings/cp1253.py
/usr/lib/python2.7/encodings/cp1254.py
/usr/lib/python2.7/encodings/cp1255.py
/usr/lib/python2.7/encodings/cp1256.py
/usr/lib/python2.7/encodings/cp1257.py
/usr/lib/python2.7/encodings/cp1258.py
/usr/lib/python2.7/encodings/cp424.py
/usr/lib/python2.7/encodings/cp437.py
/usr/lib/python2.7/encodings/cp500.py
/usr/lib/python2.7/encodings/cp720.py
/usr/lib/python2.7/encodings/cp737.py
/usr/lib/python2.7/encodings/cp775.py
/usr/lib/python2.7/encodings/cp850.py
/usr/lib/python2.7/encodings/cp852.py
/usr/lib/python2.7/encodings/cp855.py
/usr/lib/python2.7/encodings/cp856.py
/usr/lib/python2.7/encodings/cp857.py
/usr/lib/python2.7/encodings/cp858.py
/usr/lib/python2.7/encodings/cp860.py
/usr/lib/python2.7/encodings/cp861.py
/usr/lib/python2.7/encodings/cp862.py
/usr/lib/python2.7/encodings/cp863.py
/usr/lib/python2.7/encodings/cp864.py
/usr/lib/python2.7/encodings/cp865.py
/usr/lib/python2.7/encodings/cp866.py
/usr/lib/python2.7/encodings/cp869.py
/usr/lib/python2.7/encodings/cp874.py
/usr/lib/python2.7/encodings/cp875.py
/usr/lib/python2.7/encodings/cp932.py
/usr/lib/python2.7/encodings/cp949.py
/usr/lib/python2.7/encodings/cp950.py
/usr/lib/python2.7/encodings/euc_jis_2004.py
/usr/lib/python2.7/encodings/euc_jisx0213.py
/usr/lib/python2.7/encodings/euc_jp.py
/usr/lib/python2.7/encodings/euc_kr.py
/usr/lib/python2.7/encodings/gb18030.py
/usr/lib/python2.7/encodings/gb2312.py
/usr/lib/python2.7/encodings/gbk.py
/usr/lib/python2.7/encodings/hex_codec.py
/usr/lib/python2.7/encodings/hp_roman8.py
/usr/lib/python2.7/encodings/hz.py
/usr/lib/python2.7/encodings/idna.py
/usr/lib/python2.7/encodings/iso2022_jp.py
/usr/lib/python2.7/encodings/iso2022_jp_1.py
/usr/lib/python2.7/encodings/iso2022_jp_2.py
/usr/lib/python2.7/encodings/iso2022_jp_2004.py
/usr/lib/python2.7/encodings/iso2022_jp_3.py
/usr/lib/python2.7/encodings/iso2022_jp_ext.py
/usr/lib/python2.7/encodings/iso2022_kr.py
/usr/lib/python2.7/encodings/iso8859_1.py
/usr/lib/python2.7/encodings/iso8859_10.py
/usr/lib/python2.7/encodings/iso8859_11.py
/usr/lib/python2.7/encodings/iso8859_13.py
/usr/lib/python2.7/encodings/iso8859_14.py
/usr/lib/python2.7/encodings/iso8859_15.py
/usr/lib/python2.7/encodings/iso8859_16.py
/usr/lib/python2.7/encodings/iso8859_2.py
/usr/lib/python2.7/encodings/iso8859_3.py
/usr/lib/python2.7/encodings/iso8859_4.py
/usr/lib/python2.7/encodings/iso8859_5.py
/usr/lib/python2.7/encodings/iso8859_6.py
/usr/lib/python2.7/encodings/iso8859_7.py
/usr/lib/python2.7/encodings/iso8859_8.py
/usr/lib/python2.7/encodings/iso8859_9.py
/usr/lib/python2.7/encodings/johab.py
/usr/lib/python2.7/encodings/koi8_r.py
/usr/lib/python2.7/encodings/koi8_u.py
/usr/lib/python2.7/encodings/latin_1.py
/usr/lib/python2.7/encodings/mac_arabic.py
/usr/lib/python2.7/encodings/mac_centeuro.py
/usr/lib/python2.7/encodings/mac_croatian.py
/usr/lib/python2.7/encodings/mac_cyrillic.py
/usr/lib/python2.7/encodings/mac_farsi.py
/usr/lib/python2.7/encodings/mac_greek.py
/usr/lib/python2.7/encodings/mac_iceland.py
/usr/lib/python2.7/encodings/mac_latin2.py
/usr/lib/python2.7/encodings/mac_roman.py
/usr/lib/python2.7/encodings/mac_romanian.py
/usr/lib/python2.7/encodings/mac_turkish.py
/usr/lib/python2.7/encodings/mbcs.py
/usr/lib/python2.7/encodings/palmos.py
/usr/lib/python2.7/encodings/ptcp154.py
/usr/lib/python2.7/encodings/punycode.py
/usr/lib/python2.7/encodings/quopri_codec.py
/usr/lib/python2.7/encodings/raw_unicode_escape.py
/usr/lib/python2.7/encodings/rot_13.py
/usr/lib/python2.7/encodings/shift_jis.py
/usr/lib/python2.7/encodings/shift_jis_2004.py
/usr/lib/python2.7/encodings/shift_jisx0213.py
/usr/lib/python2.7/encodings/string_escape.py
/usr/lib/python2.7/encodings/tis_620.py
/usr/lib/python2.7/encodings/undefined.py
/usr/lib/python2.7/encodings/unicode_escape.py
/usr/lib/python2.7/encodings/unicode_internal.py
/usr/lib/python2.7/encodings/utf_16.py
/usr/lib/python2.7/encodings/utf_16_be.py
/usr/lib/python2.7/encodings/utf_16_le.py
/usr/lib/python2.7/encodings/utf_32.py
/usr/lib/python2.7/encodings/utf_32_be.py
/usr/lib/python2.7/encodings/utf_32_le.py
/usr/lib/python2.7/encodings/utf_7.py
/usr/lib/python2.7/encodings/utf_8.py
/usr/lib/python2.7/encodings/utf_8_sig.py
/usr/lib/python2.7/encodings/uu_codec.py
/usr/lib/python2.7/encodings/zlib_codec.py
/usr/lib/python2.7/logging/__init__.py
/usr/lib/python2.7/logging/config.py
/usr/lib/python2.7/logging/handlers.py
/usr/lib/python2.7/plat-x86_64-linux-gnu/_sysconfigdata_nd.py
/usr/share/doc/libpython2.7-minimal/README.Debian
/usr/share/doc/libpython2.7-minimal/changelog.Debian.gz
/usr/share/doc/libpython2.7-minimal/copyright
/usr/share/lintian/overrides/libpython2.7-minimal

Changelog

2016-04-17 - Matthias Klose <doko@ubuntu.com>
python2.7 (2.7.11-7ubuntu1) xenial; urgency=medium
* Fix gdb auto-load symlink for the python2.7 binary. LP: #1571198.
2016-03-30 - Matthias Klose <doko@debian.org>
python2.7 (2.7.11-7) unstable; urgency=medium
* Update to 20160330 from the 2.7 branch.
2016-03-23 - Matthias Klose <doko@debian.org>
python2.7 (2.7.11-6) unstable; urgency=medium
* Update to 20160323 from the 2.7 branch.
* Always build _math.o with -fPIC.
2016-03-19 - Matthias Klose <doko@debian.org>
python2.7 (2.7.11-5) unstable; urgency=medium
* Update to 20160319, taken from the 2.7 release branch.
* Update symbols files.
* Don't run test_signal on alpha, hanging on the buildd.
2016-02-22 - Matthias Klose <doko@debian.org>
python2.7 (2.7.11-4) unstable; urgency=medium
* Update to 20160222, taken from the 2.7 release branch.
2016-01-11 - Matthias Klose <doko@debian.org>
python2.7 (2.7.11-3) unstable; urgency=medium
* Revert patches concerning issue #22995.
2015-12-09 - Matthias Klose <doko@debian.org>
python2.7 (2.7.11-2) unstable; urgency=medium
* Disable LTO on ppc64, ppc64el and s390x.
* Don't run the test_signal tests on alpha.
2015-12-07 - Matthias Klose <doko@debian.org>
python2.7 (2.7.11-1) unstable; urgency=medium
* Python 2.7.11 release.
* Don't run the test_cpickle test, causes other tests to fail.
See issue 25698.
* Fix building architecture independent packages only. Closes: #806868.
* Don't ship menu files anymore, just desktop files.
* d/p/fix-sslv3-test.diff: properly handle Ubuntu's openssl having OP_NO_SSLv3
forced on by default (Marc Deslauriers).
* Update symbols files.
2015-10-10 - Matthias Klose <doko@debian.org>
python2.7 (2.7.10-5) unstable; urgency=medium
* Update to 20151010, taken from the 2.7 release branch.
* Adjust setting DH_COMPAT for dh_movefiles with updated debhelper supporting
globbing of arguments. Closes: #800301.
* pydoc: use the pager command if available. Closes: #799555.
2015-09-13 - Matthias Klose <doko@debian.org>
python2.7 (2.7.10-4) unstable; urgency=medium
* Remove byte-code for _sysconfigdata_d.py in /usr/lib/python2.7.
Closes: #793528.
* Make derivatives builds the same as the parent distro. Closes: #797667.

See Also

Package Description
libpython2.7-stdlib_2.7.11-7ubuntu1_amd64.deb Interactive high-level object-oriented language (standard library, version 2.7)
libpython2.7-testsuite_2.7.11-7ubuntu1_all.deb Testsuite for the Python standard library (v2.7)
libpython2.7_2.7.11-7ubuntu1_amd64.deb Shared Python runtime library (version 2.7)
libpython3-all-dev_3.5.1-3_amd64.deb package depending on all supported Python 3 development packages
libpython3-dev_3.5.1-3_amd64.deb header files and a static library for Python (default)
libpython3-stdlib_3.5.1-3_amd64.deb interactive high-level object-oriented language (default python3 version)
libpython3.5-dev_3.5.1-10_amd64.deb Header files and a static library for Python (v3.5)
libpython3.5-minimal_3.5.1-10_amd64.deb Minimal subset of the Python language (version 3.5)
libpython3.5-stdlib_3.5.1-10_amd64.deb Interactive high-level object-oriented language (standard library, version 3.5)
libpython3.5-testsuite_3.5.1-10_all.deb Testsuite for the Python standard library (v3.5)
libpython3.5_3.5.1-10_amd64.deb Shared Python runtime library (version 3.5)
libqb-dev_0.17.2.real-6ubuntu1_amd64.deb high performance client server features library (devel files)
libqb-doc_0.17.2.real-6ubuntu1_all.deb high performance client server features library (API docs)
libqb0_0.17.2.real-6ubuntu1_amd64.deb high performance client server features library
libqgsttools-p1_5.5.1-4ubuntu2_amd64.deb GStreamer tools for Qt 5 Multimedia module
Advertisement
Advertisement